import * as MsClient from "cn.keytop.midend.microservice.Client";
export declare class MsMng {
    private msId;
    private version;
    private authType;
    protected serviceClientConfig: MsClient.ServiceClientConfig;
    protected serviceClient: MsClient.ServiceClient;
    constructor(serviceClientConfig: MsClient.ServiceClientConfig);
    getTest1(param1: string, param2: string): Promise<ModelTest1>;
    getTest3(param1: string, param2: string): Promise<OpResult<Post2Param>>;
    getTest5(param1: string, param2: string): Promise<OpResult<GetTest5Result>>;
    postTest2(bodyObj: Post2Param): Promise<OpResult<Post2Result>>;
}
export declare class ModelTest1 {
    value11?: string;
    value12?: string;
    sub?: ModelSubTest1;
}
export declare class ModelSubTest1 {
    p1?: string;
    p2?: string;
}
export declare class ModelTest2 {
    value21?: string;
    value22?: string;
}
export declare class Post2Param {
    uri?: string;
    param1?: string;
    param2?: string;
    _date?: number;
    get date(): any;
    set date(value: any);
}
export declare class Post2Result {
    body?: string;
}
export declare class OpResult<T> {
    success?: string;
    msg?: string;
    message?: string;
    code?: string;
    data?: T;
}
export declare class GetTest5Result {
    thisTimestamp?: string;
    _thisLong?: number;
    get thisLong(): any;
    set thisLong(value: any);
}
